;
; MIDI Handling
;
; Copyright 2001 by Thorsten Klose
; Commercial use without my permission is strictly forbidden!
;

;; --------------------------------------------------------------------------
;;  _MIDI Send Byte: sends byte over MIDI interface
;;  In:	Byte to Send in W
;; --------------------------------------------------------------------------
MIDI_SendByte
	SWITCHBANK_0_1
MIDI_SendBytePoll
	IFCLR	TXSTA, TRMT, goto MIDI_SendBytePoll
	SWITCHBANK_1_0
	movwf	TXREG
	return

;; --------------------------------------------------------------------------
;;  These routines are called by the MIDI IN buffer handler
;;  when a MIDI event arrives. The differ between 3 bytes of a event
;; --------------------------------------------------------------------------
MIDI_LearnEvent0
	movwf	MIDI_LASTEVENT0
	;; branch depending on Event Type
	goto	MIDI_LearnEvent0Branch

;; ---
MIDI_LearnEvent1
	movwf	MIDI_LASTEVENT1
	;; branch depending on Event Type
	goto	MIDI_LearnEvent1Branch	

;; ---
MIDI_LearnEvent2
	movwf	MIDI_LASTEVENT2
	;; branch depending on Event Type
	goto	MIDI_LearnEvent2Branch	
